using BlurgText;
using Dashboard.CommandMachine;

namespace Dashboard.BlurgText
{
    public static class BlurgCommand
    {
        public static void PutBlurgText(this CommandList list, DashboardBlurg blurg, BlurgResult result, QVec2 origin)
        {
            for (int i = 0; i < result.Count; i++)
            {
                BlurgRect rect = result[i];

                QRectangle pos = new QRectangle()
                {
                    Min = origin + new QVec2(rect.X, rect.Y),
                    Size = new QVec2(rect.Width, rect.Height)
                };

                QRectangle uv = new QRectangle(rect.U1, rect.V1, rect.U0, rect.V0);

                list.Image(blurg.Images[(int)rect.UserData], pos, uv);
            }
        }
    }
}